var common = require("./common");

// Constructor four our bridge object.
function DummyClient(print_stats) {
    this.print_stats = print_stats;
}

var portBase = 6400;
var portEnd = portBase + 20;

function bind(port){
    socket.bind("tcp://0.0.0.0:" + port, function(err) {
        if(err) {
            if(port < portEnd)
                bind(port + 1);
            else
                console.log("fatal: cannot bind to ports from " + portBase + " to " + portEnd + " due to " + e);
        } else {
            console.log("bound to port " + port);
        }
    });
}


DummyClient.prototype = {
    init: function() {
        var zeromq = require('zeromq');

        var socket = zeromq.createSocket("xreq");
        
    },
    
    indexLookup: function(req, res, next) {
        res.end("dummy results");
    },

    getBrowsingStatistics: function(req, res, next) {
        res.end("dummy results");
    },

    getNumberOfElements: function(req, res, next) {
        res.end("dummy results");
    },

    getResult:  function(req, res, next) {
        res.end("dummy results");
    },

    stats: function(req, res, next) {
        res.end("dummy stats");
    }
};

exports.Client = DummyClient;
